/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\           Settings           /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef SETTING_H_
#define SETTING_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <curses.h>
#include "cbtime.h"
#include "colour.h"
/* Define Date */
#define DATE 75

//-----------------------------------------------------------------------------

class Set
{
public:	
	/* Date */
	char ndate[DATE];

	/* Class Player */
	struct player
	{
		/* UCI */
		char uci;
		char uciok;
		char ucinewgame;
		/* Engine */
		char isready;
		char readyok;
		/* Time */
		unsigned int msec;
		unsigned int wtime;
		unsigned int btime;
		unsigned int nround;
		/* Result */
		char wresult;
		char bresult;

	}board;

	Set();
	void settings(char *ipadr, char *chess, char *white, char *black);
};

//-----------------------------------------------------------------------------

#endif


